using System;
using System.Reflection;
using System.Windows.Forms;
using Persistate.UI.Desktop;

namespace DeviceNetwork.Desktop
{
	/// <summary>
	/// TODO write summary documentation
	/// </summary>
	public partial class NetworkControls : UserControl
	{
		/// <summary>
		/// Creates a new NetworkControls
		/// </summary>
		public NetworkControls()
		{
			InitializeComponent();

			// put context sensitive class menus on the main menu strip
			pToolStripPanel.ClassMenuStrip = menuStrip;
			// attach images to menu items and toolbar buttons by operation name
			pToolStripPanel.AttachStandardImages();

		}

		// perform operation associated with clicked item
		private void Item_Click(object sender, EventArgs e)
		{
			OperationBinder.OperationSelected(sender, e);
		}

		// Check for operations enabled when dropping down a menu
		private void Item_DropDownOpening(object sender, EventArgs e)
		{
			ToolStripDropDownItem item = (ToolStripMenuItem)sender;
			OperationBinder.CheckPresence(item.DropDown.Items, FindForm() as PWindow);
		}

	}
}

