using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Persistate;
using Persistate.UI.Desktop;

namespace DeviceNetwork.Desktop
{
	/// <summary>
	/// TODO write summary documentation
	/// </summary>
	public partial class NetworkTree : Persistate.UI.Desktop.PContainer
	{
		/// <summary>
		/// Creates a new NetworkTree
		/// </summary>
		public NetworkTree()
		{
			InitializeComponent();
			pTreeView.NodeTextClick += new TreeNodeMouseClickEventHandler(pTreeView_NodeTextClick);
		}

		/// <summary>
		/// By default, this shows object bound to clicked node using its default
		/// layout and in a pane selected by the Persistate run-time.  Change this
		/// as required.
		/// </summary>
		void pTreeView_NodeTextClick(object sender, TreeNodeMouseClickEventArgs e)
		{
			if (e.Button != MouseButtons.Left)
				return;
			PTreeNode node = (PTreeNode)e.Node;
			if (!node.ShowBoundObject())
				UI.Warn("No object is linked to this node.");
		}

	}
}

