using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Persistate;
using Persistate.UI.Desktop;
using DeviceNetwork.Model;

namespace DeviceNetwork.Desktop
{
	/// <summary>
	/// TODO write summary documentation
	/// </summary>
	public partial class DeviceForm : Persistate.UI.Desktop.PContainer
	{
		/// <summary>
		/// Creates a new DeviceForm
		/// </summary>
		public DeviceForm()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Populates the ConnectedDevices grid when the form is bound.
		/// </summary>
		/// <param name="parent">The containing PContainer or null.</param>
		public override void SetBindings(IPContainer parent)
		{
			// Do it only when form is being bound to an assigned (persistent) device
			Device device = DataSource as Device;
			if (device != null && device.IsPersisted)
				device.SelectConnectedDevices(device);
			base.SetBindings(parent);
		}
	}
}
